group "NovationRoles.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 10 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
transferor?, transferorAccount?, transferee?, otherTransferee?, transfereeAccount?, otherTransfereeAccount?, remainingParty?, remainingPartyAccount?, otherRemainingParty?, otherRemainingPartyAccount?

Content Model Elements (10):

  otherRemainingParty, otherRemainingPartyAccount, otherTransferee, otherTransfereeAccount, remainingParty, remainingPartyAccount, transferee, transfereeAccount, transferor, transferorAccount

Known Usage Locations

- In definitions of global complexTypes (1):
  TradeNovationContent

Annotation
The roles of the parties involved in the novation.
XML Source (w/o annotations (6); see within schema source)

<xsd:group name="NovationRoles.model"> <xsd:sequence> <xsd:element minOccurs="0" name="transferor" type="PartyReference"/> <xsd:element minOccurs="0" name="transferorAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="transferee" type="PartyReference"/> <xsd:element minOccurs="0" name="otherTransferee" type="PartyReference"/> <xsd:element minOccurs="0" name="transfereeAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="otherTransfereeAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="remainingParty" type="PartyReference"/> <xsd:element minOccurs="0" name="remainingPartyAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="otherRemainingParty" type="PartyReference"/> <xsd:element minOccurs="0" name="otherRemainingPartyAccount" type="AccountReference"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 10/10)
otherRemainingParty

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. This element is not applicable in a three-way novation and should be omitted. In a four-way novation the party referenced is Transferee 2. Transferee 2 means a party which accepts by way of novation the rights, liabilities, duties and obligations of Transferor 2. ISDA 2004 Novation Term: Transferee 2 (four-way novation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="otherRemainingParty" type="PartyReference"/>

otherRemainingPartyAccount

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="otherRemainingPartyAccount" type="AccountReference"/>

otherTransferee

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. In a five-way novation the party referenced is the Transferee's legal entity that is involved in the settlement of the fee leg of the novation transaction (this might be a different legal entity than the one that assumes the novation trade). NB: this element has been added pending confirmation of the business need/context in which it would be used, and might not appear in a subsequent draft of this schema.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="otherTransferee" type="PartyReference"/>

otherTransfereeAccount

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="otherTransfereeAccount" type="AccountReference"/>

remainingParty

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Remaining Party in the novation. Remaining Party means a party which consents to a Transferor's transfer by novation and the acceptance thereof by the Transferee of all of the Transferor's rights, liabilities, duties and obligations with respect to such Remaining Party under and with respect of the Novated Amount of a transaction. In a four-way novation the party referenced is Transferor 2 per the ISDA definition and acts in the role of a Transferor. Transferor 2 transfers by novation to Transferee 2 all of its rights, liabilities, duties and obligations with respect to Transferor 1. ISDA 2004 Novation Term: Remaining Party (three-way novation) or Transferor 2 (four-way novation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="remainingParty" type="PartyReference"/>

remainingPartyAccount

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="remainingPartyAccount" type="AccountReference"/>

transferee

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Transferee (incoming party) in the novation. Transferee means a party which accepts by way of novation all rights, liabilities, duties and obligations of a Transferor with respect to a Remaining Party. In a four-way novation the party referenced is Transferee 1 which accepts by way of novation the rights, liabilities, duties and obligations of Transferor 1. ISDA 2004 Novation Term: Transferee (three-way novation) or Transferee 1 (four-way novation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="transferee" type="PartyReference"/>

transfereeAccount

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="transfereeAccount" type="AccountReference"/>

transferor

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Transferor (outgoing party) in the novation. The Transferor means a party which transfers by novation to a Transferee all of its rights, liabilities, duties and obligations with respect to a Remaining Party. In a four-way novation the party referenced is Transferor 1 which transfers by novation to Transferee 1 all of its rights, liabilities, duties and obligations with respect to Transferor 2. ISDA 2004 Novation Term: Transferor (three-way novation) or Transferor 1 (four-way novation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="transferor" type="PartyReference"/>

transferorAccount

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="transferorAccount" type="AccountReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.